WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] An error after a fresh install version 2.3 (8 posts)

  1. KarmaSamten
    Member
    Posted 6 years ago #

    I got the following error after a fresh install version 2.3:
    ----------------------
    WordPress database error: [Table '%dbname%.wp_categories' doesn't exist]
    SELECT cat_name FROM wp_categories ORDER BY cat_name ASC
    ----------------------

    I have two WP installed, one is at root folder, and the other one is at \blog\ folder. The fresh one is installed on the root folder and this is the one having this error.

    If I click "About", then the error disappears, click "home" it comes back.

    Any advise? Thanks

  2. KarmaSamten
    Member
    Posted 6 years ago #

    Bump

  3. Geezerjim
    Member
    Posted 6 years ago #

    It sounds as if there is something in your theme template that is making a direct call to the database. The tables have been changed in 2.3

    Try switching to the default theme and see if this issue goes away.

  4. KarmaSamten
    Member
    Posted 6 years ago #

    thanks for the reply, I switched back to the default template, and still got the same error. I tried all the templates I have, and they all got the same error.

    Any advise?

  5. MichaelH
    Member
    Posted 6 years ago #

    Might want to reupload the WordPress files as the default theme works for me in 2.3.

  6. KarmaSamten
    Member
    Posted 6 years ago #

    Actually now I remember, I did get a timeout error during the fresh install, that's probably why the table "wp_categories" didn't get created.

    I dropped the database, re-created it and ran the installation again, now everything is ok now.

    Thanks

  7. KarmaSamten
    Member
    Posted 6 years ago #

    Now I found the real reason, it's the "Add Meta Tags" plug-in causing the issue, not sure why, but deactivate it resolves the issue.

  8. Samuel Wood (Otto)
    Tech Ninja
    Posted 6 years ago #

    2.3 doesn't have a wp_categories table. So some older plugins that queried it directly won't work with 2.3.

Topic Closed

This topic has been closed to new replies.

About this Topic